Description

It appears the resource maps for USGS CSAS contain references to science metadata documents that do not exist on the MN or on

the CN.

For example:

http://mercury-ops2.ornl.gov/clearinghouse/mn/v1/object?count=102&start=300

for a list of ORE documents.

Choosing the first:  resourceMap_doi_10.5066_F7057CW6.xml

A snippet from the ORE document:

@

 https://cn.dataone.org/cn/v1/resolve/resourceMap_doi_10.5066_F7057CW6.xml#aggregation/ore:isAggregatedBy

doi:10.5066/F7057CW6/dcterms:identifier

 /rdf:Description

@

I am unable to locate a document for pid: doi:10.5066%2FF7057CW6 on the MN:

http://mercury-ops2.ornl.gov/clearinghouse/mn/v1/object/doi:10.5066%2FF7057CW6

returns a not found message.

However, replacing the ':' and '/' with '_' works:

http://mercury-ops2.ornl.gov/clearinghouse/mn/v1/object/doi_10.5066_F7057CW6

http://mercury-ops2.ornl.gov/clearinghouse/mn/v1/meta/doi_10.5066_F7057CW6

So it would seem the ORE documents are referencing science metadata docs by a different naming scheme?

Related issues:

Related to Member Nodes - Task #3724: Re-typing ORE documents Closed 2013-04-23

Related to Member Nodes - Task #3856: Re-harvest ORE documents from MN Closed 2013-06-28

History

#1 - 2013-06-24 22:48 - Skye Roseboom

- File resourceMap_doi_10.5066_F7057CW6.xml added

- File resourceMap_doi_10.5066_F7057CW6.xml added

attached ORE document

#2 - 2013-06-24 22:49 - Skye Roseboom

- Description updated

#3 - 2013-06-24 22:51 - Skye Roseboom

Seems to effect all USGS CSAS resource maps, the above was just an example

#4 - 2013-06-24 23:57 - Skye Roseboom
http://mercury-ops2.ornl.gov/clearinghouse/mn/v1/object?count=102&start=300
https://cn.dataone.org/cn/v1/resolve/resourceMap_doi_10.5066_F7057CW6.xml#aggregation
redmine.dataone.org/ore:isAggregatedBy
redmine.dataone.org/dcterms:identifier
redmine.dataone.org/rdf:Description
http://mercury-ops2.ornl.gov/clearinghouse/mn/v1/object/doi:10.5066%2FF7057CW6
http://mercury-ops2.ornl.gov/clearinghouse/mn/v1/object/doi_10.5066_F7057CW6
http://mercury-ops2.ornl.gov/clearinghouse/mn/v1/meta/doi_10.5066_F7057CW6


If these ORE are incorrect, lets discuss how to roll out the updated ORE documents.

#5 - 2013-06-25 20:56 - Ranjeet Devarakonda

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from New to Closed

Issue should be fixed. File names for science metadata were not being added correctly.

Files

resourceMap_doi_10.5066_F7057CW6.xml 2.73 KB 2013-06-24 Skye Roseboom
